• Daniel Scheffler's avatar
    added Python 2.7 compatibilty; added GDAL downwards compatibility · b00ca185
    Daniel Scheffler authored
    - added new package 'compatibility'  that ensures that the code also works with older versions of Python and GDAL
    - added __init__.py to package level
    
    geo.raster.reproject:
    - warp_ndarray(): some modifications to ensure compatibility
    
    geo.coord_trafo:
    - lonlat_to_pixel(): fixed a Python 2.7 incompatibility
    
    io.raster.gdal:
    get_GDAL_ds_inmem(): some modifications to ensure compatibility
    
    io.raster.GeoArray:
    - fixed some Python 2.7 incompatibilies
    
    io.temp_io: added new module temp_io for managing temporary files
    
    processing.shell:
    - subcall_with_output(): added verbose mode
    
    ptds.__init__:
    - added validation of GDAL version
    b00ca185
coord_calc.py 8.1 KB